Package ru.bitel.bgbilling.modules.voice.common.event

# Class VoiceDeviceManageEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.PartitionedQueueEvent
ru.bitel.bgbilling.modules.voice.common.event.VoiceDeviceManageEvent

All Implemented Interfaces:
  `Serializable`

public class VoiceDeviceManageEvent extends PartitionedQueueEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `VoiceDeviceManageEvent()`
  ``
  `VoiceDeviceManageEvent(int moduleId, int userId, int deviceId, String operation, int accountId, int connectionId)`
  ``
  `VoiceDeviceManageEvent(int moduleId, int userId, int deviceId, String operation, int accountId, int connectionId, Map<String,String> params)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAccountId()`
  `int`
  `getDeviceId()`
  `String`
  `getOperation()`
  `protected String`
  `getPackageName()`
  `Map<String,String>`
  `getParams()`
  `protected int`
  `getPartitionValue()`
  `Object`
  `getResult()`
  `void`
  `prepareMessage(javax.jms.Message message)`
  `void`
  `setResult(Object result)`
  `protected void`
  `toString(StringBuilder sb)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.PartitionedQueueEvent

  `getDestination, getDestinationMask`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VoiceDeviceManageEvent

    protected VoiceDeviceManageEvent()

  - ### VoiceDeviceManageEvent

    public VoiceDeviceManageEvent(int moduleId, int userId, int deviceId, String operation, int accountId, int connectionId)

  - ### VoiceDeviceManageEvent

    public VoiceDeviceManageEvent(int moduleId, int userId, int deviceId, String operation, int accountId, int connectionId, Map<String,String> params)

- ## Method Details

  - ### prepareMessage

    public void prepareMessage(javax.jms.Message message) throws javax.jms.JMSException
    Overrides:
      `prepareMessage` in class `ru.bitel.bgbilling.kernel.event.common.Event`
    Throws:
      `javax.jms.JMSException`

  - ### getDeviceId

    public int getDeviceId()

  - ### getAccountId

    public int getAccountId()

  - ### getOperation

    public String getOperation()

  - ### getResult

    public Object getResult()

  - ### setResult

    public void setResult(Object result)

  - ### toString

    protected void toString(StringBuilder sb)
    Overrides:
      `toString` in class `ru.bitel.bgbilling.kernel.event.common.Event`

  - ### getPackageName

    protected String getPackageName()
    Specified by:
      `getPackageName` in class `PartitionedQueueEvent`

  - ### getPartitionValue

    protected int getPartitionValue()
    Specified by:
      `getPartitionValue` in class `PartitionedQueueEvent`

  - ### getParams

    public Map<String,String> getParams()